Bug 204747 - [patch] Don't (try to) build bxe if the user objects to binary blobs
Summary: [patch] Don't (try to) build bxe if the user objects to binary blobs
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Ed Maste
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-11-22 16:14 UTC by Fabian Keil
Modified: 2018-05-23 14:01 UTC (History)
1 user (show)

See Also:


Attachments
sys/modules: Don't (try to) build bxe if the user objects to binary blobs (741 bytes, patch)
2015-11-22 16:14 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2015-11-22 16:14:39 UTC
Created attachment 163432 [details]
sys/modules: Don't (try to) build bxe if the user objects to binary blobs

The bxe module contains source-less microcode but is built
and installed even if WITHOUT_SOURCELESS_UCODE is set.

The attached patch fixes this.

Obtained from: ElectroBSD
Comment 1 commit-hook freebsd_committer 2017-08-19 00:46:33 UTC
A commit references this bug:

Author: emaste
Date: Sat Aug 19 00:45:29 UTC 2017
New revision: 322682
URL: https://svnweb.freebsd.org/changeset/base/322682

Log:
  sys/modules: don't build bxe if the user objects to sourceless ucode

  PR:		204747
  Submitted by:	Fabian Keil
  Obtained from:	ElectroBSD
  MFC after:	1 week

Changes:
  head/sys/modules/Makefile
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-23 10:26:54 UTC
batch change of PRs untouched in 2018 marked "in progress" back to open.
Comment 3 Ed Maste freebsd_committer 2018-05-23 13:59:48 UTC
Merged to stable/11 in r322916
Comment 4 commit-hook freebsd_committer 2018-05-23 13:59:55 UTC
A commit references this bug:

Author: emaste
Date: Wed May 23 13:59:38 UTC 2018
New revision: 334096
URL: https://svnweb.freebsd.org/changeset/base/334096

Log:
  sys/modules: don't build bxe,qlxgbe if the user objects to sourceless ucode

  MFC of r322682 and r322684

  PR:		204747
  Submitted by:	Fabian Keil
  Obtained from:	ElectroBSD

Changes:
_U  stable/10/
  stable/10/sys/modules/Makefile